@import "src/components/Theme";

.table {
  display: table;
}

.tableHeader {
  display: table-header-group;

}

.column {
  display: table-cell;
  text-align: left;
  background: $background;
  border: 1px solid $lightGray;
  border-right: none;
  padding: 10px 12px;
  @include bodyMediumType($mediumGray);
  white-space: nowrap;
  box-sizing: border-box;

  &:last-of-type {
    border-right: 1px solid $lightGray;
  }

}

.subTableRow {
  tr {
    border-right: none;
  }
  tr:last-of-type {
    border-bottom: none;

  }
}

.row {
  display: table-row;
  border-bottom: 1px solid $lightGray;
  border-right: 1px solid $lightGray;
  border-left: 1px solid $lightGray;


  &:hover {
    background: $background64;
  }
}

.tableBody {
  display: table-row-group;
}

.cell {
  position: relative;
  display: table-cell;
  @include bodyRegularType($mainDark);
  padding: 10px 12px;
  border: 1px solid $lightGray;
  border-right: none;
  border-top: none;

  border-bottom: none;
  vertical-align: top;
  box-sizing: border-box;


  &:first-of-type {
    border-left: none;
  }

  &.embed {
    padding: 0;
    border-left: none;
    border-right: none;

    table tbody tr {
      border-right: none;
    }

    tr:last-child {
        border-bottom: none;
    }

  }
}

.tablePaginator {
  background: $background;
  border: 1px solid $lightGray;
  border-top: none;
  padding: 4px 12px;
  height: 40px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .counters {
    @include bodyRegularType($mediumGray);
  }

  .pageSize {

    flex-grow: 1;
  }

  .iconButton {
    width: 16px;
    height: 16px;
    padding: 8px;
    cursor: pointer;

    &:hover {
      color: $mainBlueHover;
    }

    &.inactive {
      color: rgba(42, 47, 59, 0.4);
    }
  }

  .pageButton {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    @include bodyRegularType($mainDark);
    cursor: pointer;

    transition: color 300ms;

    &:hover {
      color: $mainBlueHover;
    }

    &.active {
      border-top: 1px solid $mainBlue;
      color: $mainBlue;
    }
  }
}


.photosCellPreview {
  width: 48px;
  height: 32px;
  border: 2px solid $mainWhite;
  box-sizing: border-box;
  border-radius: 2px;
  background: $mainWhite;

  box-shadow: 0px 8px 16px rgba(74, 83, 114, 0.08);

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.photosCellPreviews {
  display: flex;

  z-index: 10000;
  position: absolute;
  left: 12px;
  top: 4px;

  > * {
    margin-right: 4px;
  }
}